Description

It would be nice to have a new legend type for line layers with varying line widths determined by an attribute - see attached manual

example.

It is relevant when showing flows in traffic networks, water flows in rivers or the like

It can be done manually - by why waste time on doing it by hand?

Best regards

Morten

History

#1 - 2010-09-02 02:58 PM - magerlin -

Just a small addition: It would be even nicer, if the line width could be set to be SCALED by an attribute, so that you don't have to create an extra attribute

containing the desired width:

If a street has 5000 cars driving I don't want the line to be 5000 units wide, but perhaps I want the maximum traffic volume to be 5 units wide, and the rest

scaled by that.

#2 - 2010-09-03 12:43 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

In both the old and new symbology you can data drive the widths of your lines/points.

The second request is already possible with the new symbology.

#3 - 2010-09-06 01:11 AM - magerlin -

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

Replying to [comment:2 lutra]:

In both the old and new symbology you can data drive the widths of your lines/points.
The second request is already possible with the new symbology.

Thank you for your response, can you please be more specific about how to do it?

In the new symbology I can find "Size scale field" as a selection on the "Advanced button" under "Single Symbol" - but nothing happens with the width of my

lines when I select an attribute here.

In the old symbology I see no place to specify data driven line widths. In "Diagram Overlay" I can scale "Proportional SVG symbols" but not lines???

#4 - 2010-09-06 02:07 AM - Borys Jurgiel

I vote for making it a new legend type (with adjustable scale factor). It will be much more convenient and powerful (e.g. possibility to use graduated

symbols). In the present solution, it's often easier to generate the color legend and then unify colors and diversify widths manually, than use the 'Size scale

field'.

#5 - 2010-09-06 02:19 AM - Giovanni Manghi

In the new symbology I can find "Size scale field" as a selection on the "Advanced button" under "Single Symbol" - but nothing happens with the

width of my lines when I select an attribute here.

right, this has probably been fixed in trunk. Give a try to qgis-dev, should work.

In the old symbology I see no place to specify data driven line widths.

"drawing by field"

In "Diagram Overlay" I can scale "Proportional SVG symbols" but not lines???

this is a (core) plugin, does not belongs to symbology.

#6 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2011-12-16 02:49 PM - magerlin -

As far as I can see this issue is now solved in New Symbology by using "Advanced" and "Size scale field"

#8 - 2011-12-16 02:50 PM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status changed from Feedback to Closed

- Assignee deleted (nobody -)

- Resolution set to fixed

Files

New_Legend_Type.png 78.7 KB 2010-09-02 magerlin -

2024-03-13 2/2


